%define _check_contents_method relaxed

Name:    trivy-db
Version: 20250701
Release: alt1

Summary: Database for Trivy
License: Apache-2.0
Group:   Other

Source: %name-%version.tar
BuildArch: noarch
BuildRequires(pre): rpm-macros-systemd

%description
%summary.

%prep
%setup

%install
mkdir -p %buildroot%_sharedstatedir/trivy/db

install -m 0644 db/metadata.json %buildroot%_sharedstatedir/trivy/db/metadata.json
install -m 0644 db/trivy.db %buildroot%_sharedstatedir/trivy/db/trivy.db

%pre
groupadd -r -f _trivy > /dev/null 2>&1 ||:
useradd -M -r -d %_sharedstatedir/%name -g _trivy -s /dev/null -c "Trivy services" _trivy > /dev/null 2>&1 ||:

%post
SYSTEMCTL_BIN=systemctl
if sd_booted && "$SYSTEMCTL_BIN" -q is-active trivy ; then
        %post_systemd_postponed trivy
fi

%files
%doc LICENSE
%attr(0755,_trivy,_trivy) %dir %_sharedstatedir/trivy
%attr(0755,_trivy,_trivy) %dir %_sharedstatedir/trivy/db
%attr(0644,_trivy,_trivy) %_sharedstatedir/trivy/db/*

%changelog
* Tue Jul 01 2025 Cronbuild Service <cronbuild@altlinux.org> 20250701-alt1
- repocop cronbuild 20250701. At your service.

* Mon Jun 30 2025 Cronbuild Service <cronbuild@altlinux.org> 20250630-alt1
- repocop cronbuild 20250630. At your service.

* Wed Jun 11 2025 Cronbuild Service <cronbuild@altlinux.org> 20250611-alt1
- repocop cronbuild 20250611. At your service.

* Thu Jun 05 2025 Cronbuild Service <cronbuild@altlinux.org> 20250605-alt1
- repocop cronbuild 20250605. At your service.

* Tue Jun 03 2025 Cronbuild Service <cronbuild@altlinux.org> 20250603-alt1
- repocop cronbuild 20250603. At your service.

* Sat May 31 2025 Cronbuild Service <cronbuild@altlinux.org> 20250531-alt1
- repocop cronbuild 20250531. At your service.

* Mon May 26 2025 Cronbuild Service <cronbuild@altlinux.org> 20250526-alt1
- repocop cronbuild 20250526. At your service.

* Tue May 20 2025 Cronbuild Service <cronbuild@altlinux.org> 20250520-alt1
- repocop cronbuild 20250520. At your service.

* Fri May 16 2025 Cronbuild Service <cronbuild@altlinux.org> 20250516-alt1
- repocop cronbuild 20250516. At your service.

* Thu May 08 2025 Cronbuild Service <cronbuild@altlinux.org> 20250508-alt1
- repocop cronbuild 20250508. At your service.

* Wed Apr 23 2025 Cronbuild Service <cronbuild@altlinux.org> 20250423-alt1
- repocop cronbuild 20250423. At your service.

* Mon Apr 21 2025 Cronbuild Service <cronbuild@altlinux.org> 20250421-alt1
- repocop cronbuild 20250421. At your service.

* Thu Apr 17 2025 Cronbuild Service <cronbuild@altlinux.org> 20250417-alt1
- repocop cronbuild 20250417. At your service.

* Mon Apr 14 2025 Cronbuild Service <cronbuild@altlinux.org> 20250414-alt1
- repocop cronbuild 20250414. At your service.

* Thu Apr 10 2025 Cronbuild Service <cronbuild@altlinux.org> 20250410-alt1
- repocop cronbuild 20250410. At your service.

* Mon Apr 07 2025 Cronbuild Service <cronbuild@altlinux.org> 20250407-alt1
- repocop cronbuild 20250407. At your service.

* Sat Apr 05 2025 Cronbuild Service <cronbuild@altlinux.org> 20250405-alt1
- repocop cronbuild 20250405. At your service.

* Tue Apr 01 2025 Cronbuild Service <cronbuild@altlinux.org> 20250401-alt1
- repocop cronbuild 20250401. At your service.

* Fri Mar 28 2025 Cronbuild Service <cronbuild@altlinux.org> 20250328-alt1
- repocop cronbuild 20250328. At your service.

* Mon Mar 24 2025 Cronbuild Service <cronbuild@altlinux.org> 20250324-alt1
- repocop cronbuild 20250324. At your service.

* Wed Mar 19 2025 Cronbuild Service <cronbuild@altlinux.org> 20250319-alt1
- repocop cronbuild 20250319. At your service.

* Fri Mar 14 2025 Cronbuild Service <cronbuild@altlinux.org> 20250314-alt1
- repocop cronbuild 20250314. At your service.

* Mon Feb 17 2025 Cronbuild Service <cronbuild@altlinux.org> 20250217-alt1
- repocop cronbuild 20250217. At your service.

* Thu Feb 13 2025 Cronbuild Service <cronbuild@altlinux.org> 20250213-alt1
- repocop cronbuild 20250213. At your service.

* Sun Feb 09 2025 Cronbuild Service <cronbuild@altlinux.org> 20250209-alt1
- repocop cronbuild 20250209. At your service.

* Thu Feb 06 2025 Cronbuild Service <cronbuild@altlinux.org> 20250206-alt1
- repocop cronbuild 20250206. At your service.

* Fri Jan 31 2025 Cronbuild Service <cronbuild@altlinux.org> 20250131-alt1
- repocop cronbuild 20250131. At your service.

* Tue Jan 14 2025 Cronbuild Service <cronbuild@altlinux.org> 20250114-alt1
- repocop cronbuild 20250114. At your service.

* Fri Jan 03 2025 Cronbuild Service <cronbuild@altlinux.org> 20250103-alt1
- repocop cronbuild 20250103. At your service.

* Thu Dec 26 2024 Cronbuild Service <cronbuild@altlinux.org> 20241226-alt1
- repocop cronbuild 20241226. At your service.

* Tue Dec 24 2024 Cronbuild Service <cronbuild@altlinux.org> 20241224-alt1
- repocop cronbuild 20241224. At your service.

* Sat Dec 21 2024 Cronbuild Service <cronbuild@altlinux.org> 20241221-alt1
- repocop cronbuild 20241221. At your service.

* Thu Dec 19 2024 Cronbuild Service <cronbuild@altlinux.org> 20241219-alt1
- repocop cronbuild 20241219. At your service.

* Mon Dec 16 2024 Cronbuild Service <cronbuild@altlinux.org> 20241216-alt1
- repocop cronbuild 20241216. At your service.

* Sat Dec 14 2024 Cronbuild Service <cronbuild@altlinux.org> 20241214-alt1
- repocop cronbuild 20241214. At your service.

* Wed Dec 11 2024 Cronbuild Service <cronbuild@altlinux.org> 20241211-alt1
- repocop cronbuild 20241211. At your service.

* Wed Dec 11 2024 Alexey Shabalin <shaba@altlinux.org> 20241207-alt1
- bump version and release.

* Fri Dec 06 2024 Cronbuild Service <cronbuild@altlinux.org> 20241206-alt3
- repocop cronbuild 20241206. At your service.

* Mon Dec 02 2024 Cronbuild Service <cronbuild@altlinux.org> 20241202-alt3
- repocop cronbuild 20241202. At your service.

* Fri Nov 29 2024 Cronbuild Service <cronbuild@altlinux.org> 20241129-alt3
- repocop cronbuild 20241129. At your service.

* Mon Nov 25 2024 Cronbuild Service <cronbuild@altlinux.org> 20241125-alt3
- repocop cronbuild 20241125. At your service.

* Wed Nov 20 2024 Cronbuild Service <cronbuild@altlinux.org> 20241120-alt3
- repocop cronbuild 20241120. At your service.

* Sun Nov 17 2024 Cronbuild Service <cronbuild@altlinux.org> 20241117-alt3
- repocop cronbuild 20241117. At your service.

* Mon Nov 11 2024 Cronbuild Service <cronbuild@altlinux.org> 20241111-alt3
- repocop cronbuild 20241111. At your service.

* Fri Nov 01 2024 Cronbuild Service <cronbuild@altlinux.org> 20241101-alt3
- repocop cronbuild 20241101. At your service.

* Thu Oct 31 2024 Alexey Shabalin <shaba@altlinux.org> 20240627-alt3
- disable 028-check_contents.brp: set _check_contents_method as relaxed

* Thu Jun 27 2024 Cronbuild Service <cronbuild@altlinux.org> 20240627-alt2
- repocop cronbuild 20240627. At your service.

* Wed Jun 19 2024 Cronbuild Service <cronbuild@altlinux.org> 20240619-alt2
- repocop cronbuild 20240619. At your service.

* Thu Jun 13 2024 Cronbuild Service <cronbuild@altlinux.org> 20240613-alt2
- repocop cronbuild 20240613. At your service.

* Wed Jun 05 2024 Cronbuild Service <cronbuild@altlinux.org> 20240605-alt2
- repocop cronbuild 20240605. At your service.

* Sat Jun 01 2024 Cronbuild Service <cronbuild@altlinux.org> 20240601-alt2
- repocop cronbuild 20240601. At your service.

* Mon May 27 2024 Cronbuild Service <cronbuild@altlinux.org> 20240527-alt2
- repocop cronbuild 20240527. At your service.

* Fri May 17 2024 Cronbuild Service <cronbuild@altlinux.org> 20240517-alt2
- repocop cronbuild 20240517. At your service.

* Sun May 12 2024 Cronbuild Service <cronbuild@altlinux.org> 20240512-alt2
- repocop cronbuild 20240512. At your service.

* Wed May 08 2024 Ivan Pepelyaev <fl0pp5@altlinux.org> 20240508-alt2
- repocop cronbuild 20240508. At your service.

* Tue Mar 26 2024 Cronbuild Service <cronbuild@altlinux.org> 20240326-alt2
- repocop cronbuild 20240326. At your service.

* Tue Feb 20 2024 Cronbuild Service <cronbuild@altlinux.org> 20240220-alt2
- repocop cronbuild 20240220. At your service.

* Tue Feb 13 2024 Ivan Pepelyaev <fl0pp5@altlinux.org> 20240208-alt2
- Fix package name trivy-db-tool typo

* Thu Feb 08 2024 Ivan Pepelyaev <fl0pp5@altlinux.org> 20240208-alt1
- repocop cronbuild 20240208. At your service.

* Mon Jan 22 2024 Alexey Shabalin <shaba@altlinux.org> 20231228-alt5
- Fix post script

* Fri Jan 12 2024 Alexey Shabalin <shaba@altlinux.org> 20231228-alt4
- Restart trivy service if active only

* Thu Jan 11 2024 Alexey Shabalin <shaba@altlinux.org> 20231228-alt3
- Add useradd _trivy to %%pre
- Fix perm on files
- Revert "Add trivy-server dependency" in 20231228-alt2
- Restart trivy service at transaction end

* Fri Dec 29 2023 Ivan Pepelyaev <fl0pp5@altlinux.org> 20231228-alt2
- Add trivy-server dependency

* Thu Dec 28 2023 Ivan Pepelyaev <fl0pp5@altlinux.org> 20231228-alt1
- repocop cronbuild 20231228. At your service.

* Mon Oct 30 2023 Ivan Pepelyaev <fl0pp5@altlinux.org> 20231030-alt1
- repocop cronbuild 20231030. At your service.

* Wed Oct 25 2023 Ivan Pepelyaev <fl0pp5@altlinux.org> 20231025-alt1
- Initial build
